declare const _default: import("react").MemoExoticComponent<typeof DatasetQueryEditor>;
export default _default;
declare function DatasetQueryEditor({ question, isActive, height, onSetDatabaseId, ...props }: {
    [x: string]: any;
    question: any;
    isActive: any;
    height: any;
    onSetDatabaseId: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace DatasetQueryEditor {
    export { propTypes };
}
declare namespace propTypes {
    let question: PropTypes.Validator<object>;
    let isActive: PropTypes.Validator<boolean>;
    let height: PropTypes.Validator<number>;
    let onSetDatabaseId: PropTypes.Requireable<(...args: any[]) => any>;
}
import PropTypes from "prop-types";
